/*=================== FILE ABSTRACT ==========================================
 *
 * Synopsis::         Source for GeneClust file filter property keys
 *
 * File Name::        %M%
 * Version::          %I%
 * Type::             source
 * Date Completed::   %G%
 *
 * Environment::
 *     Language::     Java
 *     Computer::     Compaq/Alpha
 *     OS::           DigitalUNIX
 *     OSVersion::    4.0
 *
 * Module Information::
 *     Owner::        MDACC
 *     Department::   Biostatistics
 *     Researcher::   Kim-Anh Do
 *     Application::  GeneClust
 *
 *============================================================================*/

/*
 * @(#)GCFileFilterKeys.java    1.0 2002/03/24
 *
 * Copyright (c) 2002 M.D. Anderson Cancer Center
 * 1515 Holcombe, Houston, TX, 77030, U.S.A.
 * All rights reserved.
 */

package org.mdanderson.biostat.geneclust;


/**
 * GCFileFilterKeys - Interface for property keys.
 *
 * @version 1.0 2002/03/24
 * @author <a href="mailto:roebuck@mdanderson.org">P. Roebuck</a>
 */
public interface GCFileFilterKeys
{
    public static final String CLASSIFICATION_FILE_FILTER_DESCRIPTION =
                           "PK_CLASSIFICATION_FILE_FILTER_DESCRIPTION";
    public static final String CONFIG_FILE_FILTER_DESCRIPTION =
                           "PK_CONFIG_FILE_FILTER_DESCRIPTION";
    public static final String ASCII_FILE_FILTER_DESCRIPTION =
                           "PK_ASCII_FILE_FILTER_DESCRIPTION";
    public static final String TSV_FILE_FILTER_DESCRIPTION =
                           "PK_TSV_FILE_FILTER_DESCRIPTION";
    public static final String CSV_FILE_FILTER_DESCRIPTION =
                           "PK_CSV_FILE_FILTER_DESCRIPTION";
    public static final String FORMATTED_ASCII_FILE_FILTER_DESCRIPTION =
                           "PK_FORMATTED_ASCII_FILE_FILTER_DESCRIPTION";
    public static final String MICROSOFT_EXCEL_FILE_FILTER_DESCRIPTION =
                           "PK_MICROSOFT_EXCEL_FILE_FILTER_DESCRIPTION";
    public static final String SAS_FILE_FILTER_DESCRIPTION =
                           "PK_SAS_FILE_FILTER_DESCRIPTION";
    public static final String MATLAB_FILE_FILTER_DESCRIPTION =
                           "PK_MATLAB_FILE_FILTER_DESCRIPTION";
}

