/*=================== FILE ABSTRACT ==========================================
 *
 * Synopsis::         Source for GeneClust application property keys
 *
 * File Name::        %M%
 * Version::          %I%
 * Type::             source
 * Date Completed::   %G%
 *
 * Environment::
 *     Language::     Java
 *     Computer::     Compaq/Alpha
 *     OS::           DigitalUNIX
 *     OSVersion::    4.0
 *
 * Module Information::
 *     Owner::        MDACC
 *     Department::   Biostatistics
 *     Researcher::   Kim-Anh Do
 *     Application::  GeneClust
 *
 *============================================================================*/

/*
 * @(#)GeneClustKeys.java    1.0 2001/12/31
 *
 * Copyright (c) 2000 M.D. Anderson Cancer Center
 * 1515 Holcombe, Houston, TX, 77030, U.S.A.
 * All rights reserved.
 */

package org.mdanderson.biostat.geneclust;


/**
 * GeneClustKeys - Interface for property keys.
 *
 * @version 1.0 2001/12/31
 * @author <a href="mailto:roebuck@mdanderson.org">P. Roebuck</a>
 */
public interface GeneClustKeys
{
    public static final String PACKAGE_NAME =
                           "PK_PACKAGE_NAME";
    public static final String APPLICATION_NAME =
                           "PK_APPLICATION_NAME";
    public static final String APPLICATION_VERSION =
                           "PK_APPLICATION_VERSION";
    public static final String APPLICATION_RELEASE_DATE =
                           "PK_APPLICATION_RELEASE_DATE";
    public static final String APPLICATION_COPYRIGHT =
                           "PK_APPLICATION_COPYRIGHT";
    public static final String APPLICATION_LEGALITIES =
                           "PK_APPLICATION_LEGALITIES";
    public static final String APPLICATION_DESCRIPTION =
                           "PK_APPLICATION_DESCRIPTION";
    public static final String APPLICATION_WINDOW_TITLE =
                           "PK_APPLICATION_WINDOW_TITLE";
    public static final String APPLICATION_USAGE =
                           "PK_APPLICATION_USAGE";
    public static final String LOGO_DESCRIPTION =
                           "PK_LOGO_DESCRIPTION";
    public static final String MENUBAR_DESCRIPTION =
                           "PK_MENUBAR_DESCRIPTION";
    public static final String FILE_MENU_LABEL =
                           "PK_FILE_MENU_LABEL";
    public static final String FILE_MENU_DESCRIPTION =
                           "PK_FILE_MENU_DESCRIPTION";
    public static final String OPEN_MENUITEM_LABEL =
                           "PK_OPEN_MENUITEM_LABEL";
    public static final String OPEN_MENUITEM_MNEMONIC =
                           "PK_OPEN_MENUITEM_MNEMONIC";
    public static final String OPEN_MENUITEM_DESCRIPTION =
                           "PK_OPEN_MENUITEM_DESCRIPTION";
    public static final String OPEN_MENUITEM_TOOLTIP =
                           "PK_OPEN_MENUITEM_TOOLTIP";
    public static final String SAVE_MENUITEM_LABEL =
                           "PK_SAVE_MENUITEM_LABEL";
    public static final String SAVE_MENUITEM_MNEMONIC =
                           "PK_SAVE_MENUITEM_MNEMONIC";
    public static final String SAVE_MENUITEM_DESCRIPTION =
                           "PK_SAVE_MENUITEM_DESCRIPTION";
    public static final String SAVE_MENUITEM_TOOLTIP =
                           "PK_SAVE_MENUITEM_TOOLTIP";
    public static final String EXIT_MENUITEM_LABEL =
                           "PK_EXIT_MENUITEM_LABEL";
    public static final String EXIT_MENUITEM_MNEMONIC =
                           "PK_EXIT_MENUITEM_MNEMONIC";
    public static final String EXIT_MENUITEM_DESCRIPTION =
                           "PK_EXIT_MENUITEM_DESCRIPTION";
    public static final String EXIT_MENUITEM_TOOLTIP =
                           "PK_EXIT_MENUITEM_TOOLTIP";
    public static final String HELP_MENU_LABEL =
                           "PK_HELP_MENU_LABEL";
    public static final String HELP_MENU_DESCRIPTION =
                           "PK_HELP_MENU_DESCRIPTION";
    public static final String OVERVIEW_MENUITEM_LABEL =
                           "PK_OVERVIEW_MENUITEM_LABEL";
    public static final String OVERVIEW_MENUITEM_MNEMONIC =
                           "PK_OVERVIEW_MENUITEM_MNEMONIC";
    public static final String OVERVIEW_MENUITEM_DESCRIPTION =
                           "PK_OVERVIEW_MENUITEM_DESCRIPTION";
    public static final String OVERVIEW_MENUITEM_TOOLTIP =
                           "PK_OVERVIEW_MENUITEM_TOOLTIP";
    public static final String USER_GUIDE_MENUITEM_LABEL =
                           "PK_USER_GUIDE_MENUITEM_LABEL";
    public static final String USER_GUIDE_MENUITEM_MNEMONIC =
                           "PK_USER_GUIDE_MENUITEM_MNEMONIC";
    public static final String USER_GUIDE_MENUITEM_DESCRIPTION =
                           "PK_USER_GUIDE_MENUITEM_DESCRIPTION";
    public static final String USER_GUIDE_MENUITEM_TOOLTIP =
                           "PK_USER_GUIDE_MENUITEM_TOOLTIP";
    public static final String ABOUT_MENUITEM_LABEL =
                           "PK_ABOUT_MENUITEM_LABEL";
    public static final String ABOUT_MENUITEM_MNEMONIC =
                           "PK_ABOUT_MENUITEM_MNEMONIC";
    public static final String ABOUT_MENUITEM_DESCRIPTION =
                           "PK_ABOUT_MENUITEM_DESCRIPTION";
    public static final String ABOUT_MENUITEM_TOOLTIP =
                           "PK_ABOUT_MENUITEM_TOOLTIP";
    public static final String ABOUT_DIALOG_TITLE =
                           "PK_ABOUT_DIALOG_TITLE";
    public static final String OVERVIEW_DIALOG_TITLE =
                           "PK_OVERVIEW_DIALOG_TITLE";
    public static final String OVERVIEW_DIALOG_MESSAGE =
                           "PK_OVERVIEW_DIALOG_MESSAGE";
    public static final String NUM_CLUSTERS_TO_EXTRACT_LABEL =
                           "PK_NUM_CLUSTERS_TO_EXTRACT_LABEL";
    public static final String NUM_CLUSTERS_TO_EXTRACT_TEXTFIELD_DESCRIPTION =
                           "PK_NUM_CLUSTERS_TO_EXTRACT_TEXTFIELD_DESCRIPTION";
    public static final String NUM_CLUSTERS_TO_EXTRACT_TEXTFIELD_TOOLTIP =
                           "PK_NUM_CLUSTERS_TO_EXTRACT_TEXTFIELD_TOOLTIP";
    public static final String NUM_CLUSTERS_TO_EXTRACT_TEXTFIELD_COLUMNS =
                           "PK_NUM_CLUSTERS_TO_EXTRACT_TEXTFIELD_COLUMNS";
    public static final String NUM_CLUSTERS_TO_EXTRACT_TEXTFIELD_MINIMUM_VALUE =
                           "PK_NUM_CLUSTERS_TO_EXTRACT_TEXTFIELD_MINIMUM_VALUE";
    public static final String NUM_CLUSTERS_TO_EXTRACT_TEXTFIELD_MAXIMUM_VALUE =
                           "PK_NUM_CLUSTERS_TO_EXTRACT_TEXTFIELD_MAXIMUM_VALUE";
    public static final String NUM_CLUSTERS_TO_EXTRACT_TEXTFIELD_DEFAULT_VALUE =
                           "PK_NUM_CLUSTERS_TO_EXTRACT_TEXTFIELD_DEFAULT_VALUE";
    public static final String PERCENT_TO_SHAVE_LABEL =
                           "PK_PERCENT_TO_SHAVE_LABEL";
    public static final String PERCENT_TO_SHAVE_TEXTFIELD_COLUMNS =
                           "PK_PERCENT_TO_SHAVE_TEXTFIELD_COLUMNS";
    public static final String PERCENT_TO_SHAVE_TEXTFIELD_DESCRIPTION =
                           "PK_PERCENT_TO_SHAVE_TEXTFIELD_DESCRIPTION";
    public static final String PERCENT_TO_SHAVE_TEXTFIELD_TOOLTIP =
                           "PK_PERCENT_TO_SHAVE_TEXTFIELD_TOOLTIP";
    public static final String PERCENT_TO_SHAVE_TEXTFIELD_DEFAULT_VALUE =
                           "PK_PERCENT_TO_SHAVE_TEXTFIELD_DEFAULT_VALUE";
    public static final String PERCENT_TO_SHAVE_TEXTFIELD_MINIMUM_VALUE =
                           "PK_PERCENT_TO_SHAVE_TEXTFIELD_MINIMUM_VALUE";
    public static final String PERCENT_TO_SHAVE_TEXTFIELD_MAXIMUM_VALUE =
                           "PK_PERCENT_TO_SHAVE_TEXTFIELD_MAXIMUM_VALUE";
    public static final String NUM_PERMUTATIONS_LABEL =
                           "PK_NUM_PERMUTATIONS_LABEL";
    public static final String NUM_PERMUTATIONS_TEXTFIELD_COLUMNS =
                           "PK_NUM_PERMUTATIONS_TEXTFIELD_COLUMNS";
    public static final String NUM_PERMUTATIONS_TEXTFIELD_DESCRIPTION =
                           "PK_NUM_PERMUTATIONS_TEXTFIELD_DESCRIPTION";
    public static final String NUM_PERMUTATIONS_TEXTFIELD_TOOLTIP =
                           "PK_NUM_PERMUTATIONS_TEXTFIELD_TOOLTIP";
    public static final String NUM_PERMUTATIONS_TEXTFIELD_DEFAULT_VALUE =
                           "PK_NUM_PERMUTATIONS_TEXTFIELD_DEFAULT_VALUE";
    public static final String NUM_PERMUTATIONS_TEXTFIELD_MINIMUM_VALUE =
                           "PK_NUM_PERMUTATIONS_TEXTFIELD_MINIMUM_VALUE";
    public static final String NUM_PERMUTATIONS_TEXTFIELD_MAXIMUM_VALUE =
                           "PK_NUM_PERMUTATIONS_TEXTFIELD_MAXIMUM_VALUE";
    public static final String GAP_TOLERANCE_LABEL =
                           "PK_GAP_TOLERANCE_LABEL";
    public static final String GAP_TOLERANCE_TEXTFIELD_COLUMNS =
                           "PK_GAP_TOLERANCE_TEXTFIELD_COLUMNS";
    public static final String GAP_TOLERANCE_TEXTFIELD_DESCRIPTION =
                           "PK_GAP_TOLERANCE_TEXTFIELD_DESCRIPTION";
    public static final String GAP_TOLERANCE_TEXTFIELD_TOOLTIP =
                           "PK_GAP_TOLERANCE_TEXTFIELD_TOOLTIP";
    public static final String GAP_TOLERANCE_TEXTFIELD_DEFAULT_VALUE =
                           "PK_GAP_TOLERANCE_TEXTFIELD_DEFAULT_VALUE";
    public static final String GAP_TOLERANCE_TEXTFIELD_MINIMUM_VALUE =
                           "PK_GAP_TOLERANCE_TEXTFIELD_MINIMUM_VALUE";
    public static final String GAP_TOLERANCE_TEXTFIELD_MAXIMUM_VALUE =
                           "PK_GAP_TOLERANCE_TEXTFIELD_MAXIMUM_VALUE";
    public static final String DISPLAY_PANEL_TITLE =
                           "PK_DISPLAY_PANEL_TITLE";
    public static final String DISPLAY_GENES_GRAPH_CHECKBOX_LABEL =
                           "PK_DISPLAY_GENES_GRAPH_CHECKBOX_LABEL";
    public static final String DISPLAY_GENES_GRAPH_CHECKBOX_DESCRIPTION =
                           "PK_DISPLAY_GENES_GRAPH_CHECKBOX_DESCRIPTION";
    public static final String DISPLAY_GENES_GRAPH_CHECKBOX_TOOLTIP =
                           "PK_DISPLAY_GENES_GRAPH_CHECKBOX_TOOLTIP";
    public static final String DISPLAY_GENES_GRAPH_CHECKBOX_DEFAULT_VALUE =
                           "PK_DISPLAY_GENES_GRAPH_CHECKBOX_DEFAULT_VALUE";
    public static final String DISPLAY_SAMPLES_GRAPH_CHECKBOX_LABEL =
                           "PK_DISPLAY_SAMPLES_GRAPH_CHECKBOX_LABEL";
    public static final String DISPLAY_SAMPLES_GRAPH_CHECKBOX_DESCRIPTION =
                           "PK_DISPLAY_SAMPLES_GRAPH_CHECKBOX_DESCRIPTION";
    public static final String DISPLAY_SAMPLES_GRAPH_CHECKBOX_TOOLTIP =
                           "PK_DISPLAY_SAMPLES_GRAPH_CHECKBOX_TOOLTIP";
    public static final String DISPLAY_SAMPLES_GRAPH_CHECKBOX_DEFAULT_VALUE =
                           "PK_DISPLAY_SAMPLES_GRAPH_CHECKBOX_DEFAULT_VALUE";
    public static final String DISPLAY_DATA_MATRIX_CHECKBOX_LABEL =
                           "PK_DISPLAY_DATA_MATRIX_CHECKBOX_LABEL";
    public static final String DISPLAY_DATA_MATRIX_CHECKBOX_DESCRIPTION =
                           "PK_DISPLAY_DATA_MATRIX_CHECKBOX_DESCRIPTION";
    public static final String DISPLAY_DATA_MATRIX_CHECKBOX_TOOLTIP =
                           "PK_DISPLAY_DATA_MATRIX_CHECKBOX_TOOLTIP";
    public static final String DISPLAY_DATA_MATRIX_CHECKBOX_DEFAULT_VALUE =
                           "PK_DISPLAY_DATA_MATRIX_CHECKBOX_DEFAULT_VALUE";
    public static final String DISPLAY_SHAVING_CLUSTERS_CHECKBOX_LABEL =
                           "PK_DISPLAY_SHAVING_CLUSTERS_CHECKBOX_LABEL";
    public static final String DISPLAY_SHAVING_CLUSTERS_CHECKBOX_DESCRIPTION =
                           "PK_DISPLAY_SHAVING_CLUSTERS_CHECKBOX_DESCRIPTION";
    public static final String DISPLAY_SHAVING_CLUSTERS_CHECKBOX_TOOLTIP =
                           "PK_DISPLAY_SHAVING_CLUSTERS_CHECKBOX_TOOLTIP";
    public static final String DISPLAY_SHAVING_CLUSTERS_CHECKBOX_DEFAULT_VALUE =
                           "PK_DISPLAY_SHAVING_CLUSTERS_CHECKBOX_DEFAULT_VALUE";
    public static final String SHAVING_PANEL_TITLE =
                           "PK_SHAVING_PANEL_TITLE";
    public static final String PERFORM_SUPERVISED_CHECKBOX_LABEL =
                           "PK_PERFORM_SUPERVISED_CHECKBOX_LABEL";
    public static final String PERFORM_SUPERVISED_CHECKBOX_DESCRIPTION =
                           "PK_PERFORM_SUPERVISED_CHECKBOX_DESCRIPTION";
    public static final String PERFORM_SUPERVISED_CHECKBOX_TOOLTIP =
                           "PK_PERFORM_SUPERVISED_CHECKBOX_TOOLTIP";
    public static final String PERFORM_SUPERVISED_CHECKBOX_DEFAULT_VALUE =
                           "PK_PERFORM_SUPERVISED_CHECKBOX_DEFAULT_VALUE";
    public static final String CLASSIFICATION_FILENAME_LABEL =
                           "PK_CLASSIFICATION_FILENAME_LABEL";
    public static final String CLASSIFICATION_FILENAME_TEXTFIELD_DESCRIPTION =
                           "PK_CLASSIFICATION_FILENAME_TEXTFIELD_DESCRIPTION";
    public static final String CLASSIFICATION_FILENAME_TEXTFIELD_TOOLTIP =
                           "PK_CLASSIFICATION_FILENAME_TEXTFIELD_TOOLTIP";
    public static final String CLASSIFICATION_FILENAME_TEXTFIELD_COLUMNS =
                           "PK_CLASSIFICATION_FILENAME_TEXTFIELD_COLUMNS";
    public static final String CLASSIFICATION_FILENAME_TEXTFIELD_DEFAULT_VALUE =
                           "PK_CLASSIFICATION_FILENAME_TEXTFIELD_DEFAULT_VALUE";
    public static final String CLASSIFICATION_FILENAME_CHOOSER_BUTTON_LABEL =
                           "PK_CLASSIFICATION_FILENAME_CHOOSER_BUTTON_LABEL";
    public static final String CLASSIFICATION_FILENAME_CHOOSER_BUTTON_DESCRIPTION =
                           "PK_CLASSIFICATION_FILENAME_CHOOSER_BUTTON_DESCRIPTION";
    public static final String CLASSIFICATION_FILENAME_CHOOSER_BUTTON_TOOLTIP =
                           "PK_CLASSIFICATION_FILENAME_CHOOSER_BUTTON_TOOLTIP";
    public static final String PERCENT_SUPERVISION_LABEL =
                           "PK_PERCENT_SUPERVISION_LABEL";
    public static final String PERCENT_SUPERVISION_TEXTFIELD_DESCRIPTION =
                           "PK_PERCENT_SUPERVISION_TEXTFIELD_DESCRIPTION";
    public static final String PERCENT_SUPERVISION_TEXTFIELD_TOOLTIP =
                           "PK_PERCENT_SUPERVISION_TEXTFIELD_TOOLTIP";
    public static final String PERCENT_SUPERVISION_TEXTFIELD_COLUMNS =
                           "PK_PERCENT_SUPERVISION_TEXTFIELD_COLUMNS";
    public static final String PERCENT_SUPERVISION_TEXTFIELD_MINIMUM_VALUE =
                           "PK_PERCENT_SUPERVISION_TEXTFIELD_MINIMUM_VALUE";
    public static final String PERCENT_SUPERVISION_TEXTFIELD_MAXIMUM_VALUE =
                           "PK_PERCENT_SUPERVISION_TEXTFIELD_MAXIMUM_VALUE";
    public static final String PERCENT_SUPERVISION_TEXTFIELD_DEFAULT_VALUE =
                           "PK_PERCENT_SUPERVISION_TEXTFIELD_DEFAULT_VALUE";
    public static final String NUM_ROWS_LABEL =
                           "PK_NUM_ROWS_LABEL";
    public static final String NUM_ROWS_TEXTFIELD_DESCRIPTION =
                           "PK_NUM_ROWS_TEXTFIELD_DESCRIPTION";
    public static final String NUM_ROWS_TEXTFIELD_TOOLTIP =
                           "PK_NUM_ROWS_TEXTFIELD_TOOLTIP";
    public static final String NUM_ROWS_TEXTFIELD_COLUMNS =
                           "PK_NUM_ROWS_TEXTFIELD_COLUMNS";
    public static final String NUM_ROWS_TEXTFIELD_MINIMUM_VALUE =
                           "PK_NUM_ROWS_TEXTFIELD_MINIMUM_VALUE";
    public static final String NUM_ROWS_TEXTFIELD_MAXIMUM_VALUE =
                           "PK_NUM_ROWS_TEXTFIELD_MAXIMUM_VALUE";
    public static final String NUM_ROWS_TEXTFIELD_DEFAULT_VALUE =
                           "PK_NUM_ROWS_TEXTFIELD_DEFAULT_VALUE";
    public static final String NUM_COLUMNS_LABEL =
                           "PK_NUM_COLUMNS_LABEL";
    public static final String NUM_COLUMNS_TEXTFIELD_DESCRIPTION =
                           "PK_NUM_COLUMNS_TEXTFIELD_DESCRIPTION";
    public static final String NUM_COLUMNS_TEXTFIELD_TOOLTIP =
                           "PK_NUM_COLUMNS_TEXTFIELD_TOOLTIP";
    public static final String NUM_COLUMNS_TEXTFIELD_COLUMNS =
                           "PK_NUM_COLUMNS_TEXTFIELD_COLUMNS";
    public static final String NUM_COLUMNS_TEXTFIELD_MINIMUM_VALUE =
                           "PK_NUM_COLUMNS_TEXTFIELD_MINIMUM_VALUE";
    public static final String NUM_COLUMNS_TEXTFIELD_MAXIMUM_VALUE =
                           "PK_NUM_COLUMNS_TEXTFIELD_MAXIMUM_VALUE";
    public static final String NUM_COLUMNS_TEXTFIELD_DEFAULT_VALUE =
                           "PK_NUM_COLUMNS_TEXTFIELD_DEFAULT_VALUE";
    public static final String AMPLITUDE_LABEL =
                           "PK_AMPLITUDE_LABEL";
    public static final String AMPLITUDE_TEXTFIELD_DESCRIPTION =
                           "PK_AMPLITUDE_TEXTFIELD_DESCRIPTION";
    public static final String AMPLITUDE_TEXTFIELD_TOOLTIP =
                           "PK_AMPLITUDE_TEXTFIELD_TOOLTIP";
    public static final String AMPLITUDE_TEXTFIELD_COLUMNS =
                           "PK_AMPLITUDE_TEXTFIELD_COLUMNS";
    public static final String AMPLITUDE_TEXTFIELD_MINIMUM_VALUE =
                           "PK_AMPLITUDE_TEXTFIELD_MINIMUM_VALUE";
    public static final String AMPLITUDE_TEXTFIELD_MAXIMUM_VALUE =
                           "PK_AMPLITUDE_TEXTFIELD_MAXIMUM_VALUE";
    public static final String AMPLITUDE_TEXTFIELD_DEFAULT_VALUE =
                           "PK_AMPLITUDE_TEXTFIELD_DEFAULT_VALUE";
    public static final String MODEL_LABEL =
                           "PK_MODEL_LABEL";
    public static final String MODEL_COMBOBOX_DESCRIPTION =
                           "PK_MODEL_COMBOBOX_DESCRIPTION";
    public static final String MODEL_COMBOBOX_TOOLTIP =
                           "PK_MODEL_COMBOBOX_TOOLTIP";
    public static final String MODEL_COMBOBOX_ITEM_LABEL_1 =
                           "PK_MODEL_COMBOBOX_ITEM_LABEL_1";
    public static final String MODEL_COMBOBOX_ITEM_LABEL_2 =
                           "PK_MODEL_COMBOBOX_ITEM_LABEL_2";
    public static final String MODEL_COMBOBOX_ITEM_LABEL_3 =
                           "PK_MODEL_COMBOBOX_ITEM_LABEL_3";
    public static final String MODEL_COMBOBOX_ITEM_LABEL_4 =
                           "PK_MODEL_COMBOBOX_ITEM_LABEL_4";
    public static final String MODEL_COMBOBOX_ITEM_LABEL_5 =
                           "PK_MODEL_COMBOBOX_ITEM_LABEL_5";
    public static final String MODEL_COMBOBOX_ITEM_LABEL_6 =
                           "PK_MODEL_COMBOBOX_ITEM_LABEL_6";
    public static final String MODEL_COMBOBOX_ITEM_LABEL_7 =
                           "PK_MODEL_COMBOBOX_ITEM_LABEL_7";
    public static final String MODEL_COMBOBOX_ITEM_LABEL_8 =
                           "PK_MODEL_COMBOBOX_ITEM_LABEL_8";
    public static final String MODEL_COMBOBOX_ITEM_LABEL_9 =
                           "PK_MODEL_COMBOBOX_ITEM_LABEL_9";
    public static final String MODEL_COMBOBOX_ITEM_LABEL_10 =
                           "PK_MODEL_COMBOBOX_ITEM_LABEL_10";
    public static final String NOISE_LABEL =
                           "PK_NOISE_LABEL";
    public static final String NOISE_COMBOBOX_DESCRIPTION =
                           "PK_NOISE_COMBOBOX_DESCRIPTION";
    public static final String NOISE_COMBOBOX_TOOLTIP =
                           "PK_NOISE_COMBOBOX_TOOLTIP";
    public static final String NOISE_COMBOBOX_ITEM_LABEL_1 =
                           "PK_NOISE_COMBOBOX_ITEM_LABEL_1";
    public static final String NOISE_COMBOBOX_ITEM_LABEL_2 =
                           "PK_NOISE_COMBOBOX_ITEM_LABEL_2";
    public static final String NOISE_COMBOBOX_ITEM_LABEL_3 =
                           "PK_NOISE_COMBOBOX_ITEM_LABEL_3";
    public static final String NOISE_COMBOBOX_ITEM_LABEL_4 =
                           "PK_NOISE_COMBOBOX_ITEM_LABEL_4";
    public static final String DEGREES_FREEDOM_LABEL =
                           "PK_DEGREES_FREEDOM_LABEL";
    public static final String DEGREES_FREEDOM_TEXTFIELD_DESCRIPTION =
                           "PK_DEGREES_FREEDOM_TEXTFIELD_DESCRIPTION";
    public static final String DEGREES_FREEDOM_TEXTFIELD_TOOLTIP =
                           "PK_DEGREES_FREEDOM_TEXTFIELD_TOOLTIP";
    public static final String DEGREES_FREEDOM_TEXTFIELD_COLUMNS =
                           "PK_DEGREES_FREEDOM_TEXTFIELD_COLUMNS";
    public static final String DEGREES_FREEDOM_TEXTFIELD_MINIMUM_VALUE =
                           "PK_DEGREES_FREEDOM_TEXTFIELD_MINIMUM_VALUE";
    public static final String DEGREES_FREEDOM_TEXTFIELD_MAXIMUM_VALUE =
                           "PK_DEGREES_FREEDOM_TEXTFIELD_MAXIMUM_VALUE";
    public static final String DEGREES_FREEDOM_TEXTFIELD_DEFAULT_VALUE =
                           "PK_DEGREES_FREEDOM_TEXTFIELD_DEFAULT_VALUE";
    public static final String RAW_DATA_FILENAME_LABEL =
                           "PK_RAW_DATA_FILENAME_LABEL";
    public static final String RAW_DATA_FILENAME_TEXTFIELD_DESCRIPTION =
                           "PK_RAW_DATA_FILENAME_TEXTFIELD_DESCRIPTION";
    public static final String RAW_DATA_FILENAME_TEXTFIELD_TOOLTIP =
                           "PK_RAW_DATA_FILENAME_TEXTFIELD_TOOLTIP";
    public static final String RAW_DATA_FILENAME_TEXTFIELD_COLUMNS =
                           "PK_RAW_DATA_FILENAME_TEXTFIELD_COLUMNS";
    public static final String RAW_DATA_FILENAME_TEXTFIELD_DEFAULT_VALUE =
                           "PK_RAW_DATA_FILENAME_TEXTFIELD_DEFAULT_VALUE";
    public static final String RAW_DATA_FILENAME_CHOOSER_BUTTON_LABEL =
                           "PK_RAW_DATA_FILENAME_CHOOSER_BUTTON_LABEL";
    public static final String RAW_DATA_FILENAME_CHOOSER_BUTTON_DESCRIPTION =
                           "PK_RAW_DATA_FILENAME_CHOOSER_BUTTON_DESCRIPTION";
    public static final String RAW_DATA_FILENAME_CHOOSER_BUTTON_TOOLTIP =
                           "PK_RAW_DATA_FILENAME_CHOOSER_BUTTON_TOOLTIP";
    public static final String ENABLE_DEMO_LABEL =
                           "PK_ENABLE_DEMO_LABEL";
    public static final String ENABLE_DEMO_CHECKBOX_DESCRIPTION =
                           "PK_ENABLE_DEMO_CHECKBOX_DESCRIPTION";
    public static final String ENABLE_DEMO_CHECKBOX_TOOLTIP =
                           "PK_ENABLE_DEMO_CHECKBOX_TOOLTIP";
    public static final String DEMO_DATA_TAB_TITLE =
                           "PK_DEMO_DATA_TAB_TITLE";
    public static final String RAW_DATA_TAB_TITLE =
                           "PK_RAW_DATA_TAB_TITLE";
    public static final String DISPLAY_BUTTON_LABEL =
                           "PK_DISPLAY_BUTTON_LABEL";
    public static final String DISPLAY_BUTTON_DESCRIPTION =
                           "PK_DISPLAY_BUTTON_DESCRIPTION";
    public static final String DISPLAY_BUTTON_TOOLTIP =
                           "PK_DISPLAY_BUTTON_TOOLTIP";
    public static final String ABOUT_DIALOG_CREDITS_COLLABORATOR_LABEL =
                           "PK_ABOUT_DIALOG_CREDITS_COLLABORATOR_LABEL";
    public static final String ABOUT_DIALOG_CREDITS_DEVELOPER_LABEL =
                           "PK_ABOUT_DIALOG_CREDITS_DEVELOPER_LABEL";
    public static final String ABOUT_DIALOG_CREDITS_RESEARCHER_LABEL =
                           "PK_ABOUT_DIALOG_CREDITS_RESEARCHER_LABEL";
    public static final String ABOUT_DIALOG_CONTACT_PANEL_TITLE =
                           "PK_ABOUT_DIALOG_CONTACT_PANEL_TITLE";
    public static final String ABOUT_DIALOG_CONTACT_EMAIL_LABEL =
                           "PK_ABOUT_DIALOG_CONTACT_EMAIL_LABEL";
    public static final String ABOUT_DIALOG_CONTACT_EMAIL_ADDRESS =
                           "PK_ABOUT_DIALOG_CONTACT_EMAIL_ADDRESS";
    public static final String ABOUT_DIALOG_CONTACT_EMAIL_ADDRESS_DESCRIPTION =
                           "PK_ABOUT_DIALOG_CONTACT_EMAIL_ADDRESS_DESCRIPTION";
    public static final String ABOUT_DIALOG_CONTACT_WEB_LABEL =
                           "PK_ABOUT_DIALOG_CONTACT_WEB_LABEL";
    public static final String ABOUT_DIALOG_CONTACT_WEB_ADDRESS =
                           "PK_ABOUT_DIALOG_CONTACT_WEB_ADDRESS";
    public static final String ABOUT_DIALOG_CONTACT_WEB_ADDRESS_DESCRIPTION =
                           "PK_ABOUT_DIALOG_CONTACT_WEB_ADDRESS_DESCRIPTION";
    public static final String ABOUT_DIALOG_CONTACT_USPS_LABEL =
                           "PK_ABOUT_DIALOG_CONTACT_USPS_LABEL";
    public static final String ABOUT_DIALOG_CONTACT_USPS_ADDRESS_NAME =
                           "PK_ABOUT_DIALOG_CONTACT_USPS_ADDRESS_NAME";
    public static final String ABOUT_DIALOG_CONTACT_USPS_ADDRESS_STREET =
                           "PK_ABOUT_DIALOG_CONTACT_USPS_ADDRESS_STREET";
    public static final String ABOUT_DIALOG_CONTACT_USPS_ADDRESS_CITY_STATE =
                           "PK_ABOUT_DIALOG_CONTACT_USPS_ADDRESS_CITY_STATE";
    public static final String ERROR_DIALOG_TITLE =
                           "PK_ERROR_DIALOG_TITLE";
    public static final String OVERWRITE_DIALOG_TITLE =
                           "PK_OVERWRITE_DIALOG_TITLE";
    public static final String OVERWRITE_DIALOG_MESSAGE =
                           "PK_OVERWRITE_DIALOG_MESSAGE";
    public static final String OPEN_SETTINGS_FILE_SELECTION_DIALOG_TITLE =
                           "PK_OPEN_SETTINGS_FILE_SELECTION_DIALOG_TITLE";
    public static final String SAVE_SETTINGS_FILE_SELECTION_DIALOG_TITLE =
                           "PK_SAVE_SETTINGS_FILE_SELECTION_DIALOG_TITLE";
    public static final String CHOOSE_DATA_FILE_SELECTION_DIALOG_TITLE =
                           "PK_CHOOSE_DATA_FILE_SELECTION_DIALOG_TITLE";
    public static final String CHOOSE_CLASSIFICATION_FILE_SELECTION_DIALOG_TITLE =
                           "PK_CHOOSE_CLASSIFICATION_FILE_SELECTION_DIALOG_TITLE";
    public static final String CHOOSE_FILE_SELECTION_DIALOG_OK_BUTTON_LABEL =
                           "PK_CHOOSE_FILE_SELECTION_DIALOG_OK_BUTTON_LABEL";
    public static final String CHOOSE_FILE_SELECTION_DIALOG_OK_BUTTON_TOOLTIP =
                           "PK_CHOOSE_FILE_SELECTION_DIALOG_OK_BUTTON_TOOLTIP";
    public static final String SIMULATION_DIALOG_TITLE =
                           "PK_SIMULATION_DIALOG_TITLE";
    public static final String SIMULATION_DIALOG_MESSAGE =
                           "PK_SIMULATION_DIALOG_MESSAGE";
    public static final String SIMULATION_DIALOG_BUTTON_LABEL =
                           "PK_SIMULATION_DIALOG_BUTTON_LABEL";
    public static final String USER_GUIDE_DIALOG_TITLE =
                           "PK_USER_GUIDE_DIALOG_TITLE";
    public static final String USER_GUIDE_FILE_URL =
                           "PK_USER_GUIDE_FILE_URL";
    public static final String USER_GUIDE_HTTP_URL =
                           "PK_USER_GUIDE_HTTP_URL";
    public static final String INFO_STARTUP =
                           "PK_INFO_STARTUP";
    public static final String INFO_LOAD_FILE =
                           "PK_INFO_LOAD_FILE";
    public static final String NO_EXCEPTION_DETAIL_MESSAGE =
                           "PK_NO_EXCEPTION_DETAIL_MESSAGE";
    public static final String ERR_JVM_PREREQUISITE =
                           "PK_ERR_JVM_PREREQUISITE";
    public static final String ERR_LOAD_FILE =
                           "PK_ERR_LOAD_FILE";
    public static final String ERR_FILE_VERSION_MISMATCH =
                           "PK_ERR_FILE_VERSION_MISMATCH";
    public static final String ERR_NO_PROPERTY_ITEMS_FOUND =
                           "PK_ERR_NO_PROPERTY_ITEMS_FOUND";
    public static final String ERR_EXTRACT_CLUSTERS_TOO_BIG =
                           "PK_ERR_EXTRACT_CLUSTERS_TOO_BIG";
    public static final String ERR_SIMULATION_FAILED =
                           "PK_ERR_SIMULATION_FAILED";
}

