/*=================== FILE ABSTRACT ==========================================
 *
 * Synopsis::         Source for Sinterpreter property keys
 *
 * File Name::        %M%
 * Version::          %I%
 * Type::             source
 * Date Completed::   %G%
 *
 * Environment::
 *     Language::     Java
 *     Computer::     Compaq/Alpha
 *     OS::           DigitalUNIX
 *     OSVersion::    4.0
 *
 * Module Information::
 *     Owner::        MDACC
 *     Department::   Biostatistics
 *     Researcher::   Kim-Anh Do
 *     Application::  GeneClust
 *
 *============================================================================*/

/*
 * @(#)SinterpreterKeys.java    1.0 2001/12/31
 *
 * Copyright (c) 2001 M.D. Anderson Cancer Center
 * 1515 Holcombe, Houston, TX, 77030, U.S.A.
 * All rights reserved.
 */

package org.mdanderson.biostat.geneclust;


/**
 * SinterpreterKeys - Interface for property keys.
 *
 * @version 1.0 2001/12/31
 * @author <a href="mailto:roebuck@mdanderson.org">P. Roebuck</a>
 */
public interface SinterpreterKeys
{
    public static final String EXEC_PSEUDO_TERMINAL =
                           "PK_EXEC_PSEUDO_TERMINAL";
    public static final String WAITING_FOR_THREAD_JOIN =
                           "PK_WAITING_FOR_THREAD_JOIN";
    public static final String THREAD_JOINED =
                           "PK_THREAD_JOINED";
    public static final String WAITING_FOR_PROCESS =
                           "PK_WAITING_FOR_PROCESS";
    public static final String PROCESS_COMPLETED =
                           "PK_PROCESS_COMPLETED";
    public static final String PROCESS_DESTROYED =
                           "PK_PROCESS_DESTROYED";
}

