/*=================== FILE ABSTRACT ==========================================
 *
 * Synopsis::         Source for hyperlink event producer interface
 *
 * File Name::        %M%
 * Version::          %I%
 * Type::             source
 * Date Completed::   %G%
 *
 * Environment::
 *     Language::     Java
 *     Computer::     Compaq/Alpha
 *     OS::           DigitalUNIX
 *     OSVersion::    4.0
 *
 * Module Information::
 *     Owner::        MDACC
 *     Department::   Biostatistics
 *     Researcher::   N/A
 *     Application::  <generic>
 *
 *============================================================================*/

/*
 * @(#)HyperlinkSource.java    1.0 2001/09/05
 *
 * Copyright (c) 2001 M.D. Anderson Cancer Center
 * 1515 Holcombe, Houston, TX, 77030, U.S.A.
 * All rights reserved.
 */

package org.mdanderson.biostat.util;

import javax.swing.event.HyperlinkListener;


/**
 * HyperlinkSource - Documents hyperlink event producer.
 *
 * @version 1.0 2001/09/05
 * @author <a href="mailto:roebuck@mdanderson.org">P. Roebuck</a>
 */
public interface HyperlinkSource
{
    /**
     * Adds a hyperlink listener for notification of any changes,
     * for example when a link is selected and entered.
     *
     * @param listener  hyperlink listener
     */
    public void addHyperlinkListener(HyperlinkListener listener);

    /**
     * Removes a hyperlink listener.
     *
     * @param listener  hyperlink listener
     */
    public void removeHyperlinkListener(HyperlinkListener listener);
}

