/*=================== FILE ABSTRACT ==========================================
 *
 * Synopsis::         Public header for application platform compatibility
 *
 * File Name::        %M%
 * Version::          %I%
 * Type::             include
 * Date Completed::   %G%
 *
 * Environment::
 *     Language::     ANSI C
 *     Computer::     Compaq/Alpha
 *     OS::           DigitalUNIX, Windows
 *     OSVersion::    4.0, 2000
 *
 * Module Information::
 *     Owner::        MDACC
 *     Department::   Biostatistics
 *     Researcher::   Kim-Anh Do
 *     Application::  geneclust
 *
 *============================================================================*/
/* %W% %G% %U% */

#ifndef COMPAT_H
#define COMPAT_H	1


/*
 * Windows Compatibility
 */
#if defined(_WIN32)

    #include <stdlib.h>
    #include <dos.h>


    /*
     * Datatype Defines
     */
    #define PATH_MAX	_MAX_PATH


    /*
     * POSIX File Type Macro
     */
    #define S_ISDIR(m)    (((m)&(S_IFMT)) == (S_IFDIR))

#elif defined(unix)

#include <unistd.h>

#endif

#endif /* COMPAT_H */

